<?php

@session_start();
@ob_start();
@ob_implicit_flush(0);

@error_reporting(E_ALL ^ E_WARNING ^ E_NOTICE);
@ini_set('display_errors', false);
@ini_set('html_errors', false);
@ini_set('error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE);

define('DATALIFEENGINE', true);

$member_id = false;
$is_logged = false;

define('ROOT_DIR', dirname(__FILE__).'/../..');
define('ENGINE_DIR', ROOT_DIR.'/engine');

include_once ENGINE_DIR . '/classes/plugins.class.php';

@include (ENGINE_DIR.'/data/config.php');
require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/modules/functions.php';

function UTF8toCP1251($str)
{
    static $table = array("\xD0\x81" => "\xA8", // Ё
    "\xD1\x91" => "\xB8", // ё
    // украинские символы
    "\xD0\x8E" => "\xA1", // Ў (У)
    "\xD1\x9E" => "\xA2", // ў (у)
    "\xD0\x84" => "\xAA", // Є (Э)
    "\xD0\x87" => "\xAF", // Ї (I..)
    "\xD0\x86" => "\xB2", // I (I)
    "\xD1\x96" => "\xB3", // i (i)
    "\xD1\x94" => "\xBA", // є (э)
    "\xD1\x97" => "\xBF", // ї (i..)
    // чувашские символы
    "\xD3\x90" => "\x8C", // &#1232; (А)
    "\xD3\x96" => "\x8D", // &#1238; (Е)
    "\xD2\xAA" => "\x8E", // &#1194; (С)
    "\xD3\xB2" => "\x8F", // &#1266; (У)
    "\xD3\x91" => "\x9C", // &#1233; (а)
    "\xD3\x97" => "\x9D", // &#1239; (е)
    "\xD2\xAB" => "\x9E", // &#1195; (с)
    "\xD3\xB3" => "\x9F", // &#1267; (у)
    );
    return preg_replace('#([\xD0-\xD1])([\x80-\xBF])#se', 'isset($table["$0"]) ? $table["$0"] :
                       chr(ord("$2")+("$1" == "\xD0" ? 0x30 : 0x70))
                      ', $str
    );
}

function search_torrent($query)
{

$query = str_replace(" ", "+", $query);

$linksearch = 'http://rutor.info/search/0/0/100/0/'.$query.'';

$result = dle_cache('rutor_'.md5($query).'',$config['skin']); //Берем данные из кеша если он есть
if(!$result){ //Если кеша нет - парсим страницу результатов поиска и потом создаем кеш

$result = file_get_contents($linksearch);

    //$result = UTF8toCP1251($result);

$resultAll = $result;

    $find2 = "";

    $p1 = strpos($result, "<table width=\"100%\"><tr class=\"backgr\">");
    $p2 = strpos($result, "</table><b>Страницы");
    $result = substr($result, $p1, $p2 - $p1);

create_cache('rutor_'.md5($query).'',$result,$config['skin']);} //Создаем кеш если его нет

    
preg_match_all('#<a class="downgif" href="(?:.*)/download/(.[0-9]*)"><img src="//cdnbunny.org/i/d.gif" alt="D" /></a>(.*)<a href="/torrent/(.*)">(.*)</a></td>(.*)<td align="right">([0-9]*..?[0-9]+.?)&nbsp;(.[A-Z]*)</td><td align="center"><span class="green"><img src="//cdnbunny.org/t/arrowup.gif" alt="S" />&nbsp;(.[0-9]*)</span>&nbsp;<img src="//cdnbunny.org/t/arrowdown.gif" alt="L" /><span class="red">&nbsp;(.[0-9]*)</span></td></tr>#Uis',$result,$find);


    $count = intval(count($find['1']));
    $i = -1;
    $find2 = "";
    while ($i < $count - 1) {
    if($is==10)break;
        $i++;
        $find['2'][$i] = str_replace("/s/i/m.png", "/uploads/magnet.png", $find['2'][$i]);
                $find['2'][$i] = str_replace("magnet:", "magnet:", $find['2'][$i]);
        $is = $i + 1;
        $find2 .= <<<HTML
<tr>
<td><center>{$find['2'][$i]}<a href='//rutor.is/download/{$find['1'][$i]}'><img src='/uploads/download.png'></a><center></td>
<td class='namtoreka'><div class='bbs'>{$find['4'][$i]}</div></td>
<td class='sizepiza'>{$find['6'][$i]}&nbsp;{$find['7'][$i]}</td>
<td class='sirazd'>{$find['8'][$i]}</td>
<td class='sikach'>{$find['9'][$i]}</td>
</tr>

HTML;
    }


    if (!$find2 or $find2 == "") {
        //$finds = "<p style=\"text-align: center;\"><span style=\"font-size: medium;\"><strong><span style=\"color: #ff0000;\">Внимание:</span></strong> Не удалось найти раздачу, скорее всего материала нет на открытых трекерах! Воспользуйтесь ссылками ниже, и вам обязательно повезет, либо скачайте материал по прямым ссылкам с нашего сайта!</span></p>";
        $finds = "";
    } else {
        $finds = <<<HTML
                                    <div id='torrents_list'>
                                        <div class='naiden-torrents'>Hайдено раздач: <span id='count'>{$is}</span>  <i id='doreload' class='fa fa-spinner fa-spin' style='display: none;'></i></div>
<table class='restable' id='restable_sort'>
<thead><tr class='restable_h'><th>Скачать</th><th>Название</th>
<th>Размер</th><th><i class='fa fa-upload fa-lg tip' title='' data-original-title='Раздают'></i></th>
<th><i class='fa fa-download fa-lg tip' title='' data-original-title='Качают'></i></th></tr></thead>
<tbody>{$find2}</tbody></table></div>
HTML;
    }
    return ($finds);
}

$title = trim(strip_tags($_POST['title']));

@header("Content-type: text/html; charset=".$config['charset']);
echo search_torrent($title);